POSTtrace_filter

Filters and traces the execution of transactions matching the specified criteria. Users can set various conditions such as block number range, addresses used, and tokens used, and obtain trace information for transactions that match these criteria.

Request Body
idintegerrequired
jsonrpcstringrequired
methodstringrequired
paramsoneOf[]required

Enter the following parameters as an array with the appropriate types.

  1. trace object: Enter trace filter options as an Object.
params[0]object
fromBlockstring

Block number represents the order of blocks in the chain. It is expressed as a hexadecimal string.

toBlockstring

Block number represents the order of blocks in the chain. It is expressed as a hexadecimal string.

fromAddressstring[]

Enter the from addresses to filter as an array.

toAddressstring[]

Enter the to addresses to filter as an array.

afterstring

The offset size for traces.

countinteger

The number of traces to display in the trace batch.

Responses
fromstring

Caller address

callTypestring

Call type (call, delegatecall, staticcall, etc.)

gasstring

Gas limit set for the call (hex)

inputstring

Call input data (hex)

tostring

Callee address

valuestring

Amount of ETH transferred (hex, in wei)

blockHashstring

Hash of the block containing this transaction

blockNumberinteger

Block number containing the transaction

gasUsedstring

Actual gas used (hex)

outputstring

Call return data (hex)

subtracesinteger

Number of sub-traces

traceAddressinteger[]

Index array representing the trace path

transactionHashstring

Hash of the traced transaction

transactionPositioninteger

Position of the transaction within the block

typestring

Trace type (call, create, reward, etc.)

X-API-KEY
RequestCU73
cURL
curl -X POST "https://ethereum-mainnet.nodit.io/" \
  -H "X-API-KEY: {YOUR_API_KEY}" \
  -H "Content-Type: application/json" \
  -d '{
  "id": 1,
  "jsonrpc": "2.0",
  "method": "trace_filter",
  "params": [
    {
      "fromBlock": "0x1253B3F",
      "toBlock": "0x1253B5F",
      "fromAddress": [
        "0xB287eaC48aB21c5FB1d3723830d60b4c797555B0"
      ]
    }
  ]
}'
Response
Example · 200
{
  "jsonrpc": "2.0",
  "id": 1,
  "result": [
    {
      "action": {
        "callType": "call",
        "from": "0xb287eac48ab21c5fb1d3723830d60b4c797555b0",
        "gas": "0x0",
        "input": "0x",
        "to": "0x6a78a5f8a7839a234dee4de29c26c5f6ebad5caa",
        "value": "0x521153de4fc000"
      },
      "blockHash": "0x7a1e8b72cbb07cae9c4b1d4fa32593ff2446c8a0a8e65ee9dadd6fb2f04862eb",
      "blockNumber": 19217231,
      "result": {
        "gasUsed": "0x0",
        "output": "0x"
      },
      "subtraces": 0,
      "traceAddress": [],
      "transactionHash": "0x3b60b4393fbc01b2ec6a0a24c0c39b42ee49c0dded76f1eb5af623004d2ddc6e",
      "transactionPosition": 62,
      "type": "call"
    }
  ]
}